Package org.apache.bcel.classfile

# Class RuntimeInvisibleParameterAnnotations

java.lang.Object
org.apache.bcel.classfile.Attribute
org.apache.bcel.classfile.ParameterAnnotations
org.apache.bcel.classfile.RuntimeInvisibleParameterAnnotations

All Implemented Interfaces:
  `Cloneable`, `Iterable<ParameterAnnotationEntry>`, `Node`

public class RuntimeInvisibleParameterAnnotations extends ParameterAnnotations
Represents a parameter annotation that is represented in the class file but is not provided to the JVM.

Since:
  6.0

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.Attribute

  `constant_pool, length, name_index, tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuntimeInvisibleParameterAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool)`
  Constructs a new instance.

- ## Method Summary

  ### Methods inherited from class org.apache.bcel.classfile.ParameterAnnotations

  `accept, copy, dump, getParameterAnnotationEntries, getParameterAnnotationTable, iterator, setParameterAnnotationTable`

  ### Methods inherited from class org.apache.bcel.classfile.Attribute

  `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### RuntimeInvisibleParameterAnnotations

    public RuntimeInvisibleParameterAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool) throws IOException
    Constructs a new instance.
    Parameters:
      `nameIndex` - Index pointing to the name Code
      `length` - Content length in bytes
      `input` - Input stream
      `constantPool` - Array of constants
    Throws:
      `IOException` - Thrown when an I/O exception of some sort has occurred.